> ## Documentation Index
> Fetch the complete documentation index at: https://docs.menuia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Excluir Appkey

## Descrição

Este endpoint permite excluir uma appkey (aplicativo) da sua conta, informando a própria appkey ou o título do aplicativo. Disponível para qualquer conta (não exige plano revenda) — basta uma authkey válida e a appkey pertencer à conta.

<Tip>
  Para apagar um dispositivo **e** a appkey vinculada a ele de uma só vez, use o parâmetro `apagarAppkey` no endpoint [Apagar Dispositivo](/api-reference/developer/apagarDispositivo).
</Tip>

### Parâmetros

<ParamField body="authkey" type="string" required>
  Chave de autenticação do usuário.
</ParamField>

<ParamField body="excluirAppkey" type="string" required>
  Deve ser "true" para indicar que a appkey será excluída.
</ParamField>

<ParamField body="message" type="string" required>
  A appkey (key) ou o título do aplicativo a ser excluído.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://chatbot.menuia.com/api/developer \
    -H "Content-Type: application/json" \
    -d '{
      "authkey": "SUA_AUTHKEY_AQUI",
      "excluirAppkey": "true",
      "message": "APPKEY_A_EXCLUIR"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://chatbot.menuia.com/api/developer', {
    method: 'POST',
    headers: { 'Content-Type': 'application/json' },
    body: JSON.stringify({
      authkey: 'SUA_AUTHKEY_AQUI',
      excluirAppkey: 'true',
      message: 'APPKEY_A_EXCLUIR'
    })
  });
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://chatbot.menuia.com/api/developer',
      json={
          'authkey': 'SUA_AUTHKEY_AQUI',
          'excluirAppkey': 'true',
          'message': 'APPKEY_A_EXCLUIR'
      }
  )
  ```

  ```php PHP theme={null}
  $response = Http::post('https://chatbot.menuia.com/api/developer', [
      'authkey' => 'SUA_AUTHKEY_AQUI',
      'excluirAppkey' => 'true',
      'message' => 'APPKEY_A_EXCLUIR'
  ]);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Sucesso theme={null}
  {
    "status": 200,
    "message": "Appkey excluida com sucesso!"
  }
  ```

  ```json 401 - Authkey inválida theme={null}
  {
    "status": 401,
    "message": "Authkey Invalida"
  }
  ```

  ```json 404 - Appkey não encontrada theme={null}
  {
    "status": 404,
    "message": "Appkey nao encontrada."
  }
  ```

  ```json 500 - Erro ao excluir theme={null}
  {
    "status": 500,
    "message": "Ocorreu um erro ao excluir a appkey."
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.